Name:		qutecom
Version:	2.2.1
Release:	%mkrel 2
Summary:	Internet phone software
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.qutecom.com
Source:		http://www.qutecom.com/downloads/qutecom-%version.tar.gz
Patch0:		qutecom-2.2-fix-link.patch
Patch1:		qutecom-2.2-fix-str-fmt.patch
Patch2:		qutecom-2.2-fix-install-perm.patch
Patch3:		qutecom-2.2-ffmpeg-0.6.patch
Patch4:		qutecom-2.2-googlebreakpad-fix-build.patch
# (Debian) Add a patch to fix the build after upstream moving videodev.h
# libv4l
Patch5:		qutecom-2.2-new-videodev.patch
Patch6:		qutecom-2.2-ffmpeg-0.8.patch
Patch7:		qutecom-2.2.1-glib.patch
BuildRequires:	cmake
BuildRequires:	qt4-devel
BuildRequires:	speex-devel
BuildRequires:	boost-devel
BuildRequires:	portaudio-devel >= 19
BuildRequires:	openssl-devel
BuildRequires:	glib2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gnutls-devel
BuildRequires:	qt4-linguist
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	curl-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:  libuuid-devel
BuildRequires:	w3c-libwww-devel
BuildRequires:	libv4l-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:	pidgin-devel
Obsoletes:	openwengo
Obsoletes:	wengophone
Provides:	wengophone
Obsoletes:	%mklibname %{name} 0
# for the crash reporter (google-breakpad)
Requires:	w3c-libwww

%description
QuteCom is a SIP softphone which allows you to make free PC to PC
video and voice calls, and to integrate all your IM contacts in one
place.

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/%name
%{_datadir}/applications/%{name}.desktop
%attr(0755,root,root) %{_libdir}/pm-utils/sleep.d/70QuteCom
%{_iconsdir}/hicolor/*/apps/*.png
#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%patch0 -p0 -b .link
%patch1 -p0
#patch2 -p0
#patch3 -p1
#patch4 -p1 -b .googlebreakpad
%patch5 -p1 -b .videodev
%patch6 -p0 -b .ffmpeg
%patch7 -p0 -b .glib

%build
%cmake \
	-DLIBPURPLE_INTERNAL=OFF \
        -DCMAKE_SKIP_RPATH=OFF \
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
        -DCMAKE_INSTALL_RPATH=%{_libdir}/qutecom
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build
chmod 0755 %{buildroot}%{_libdir}/pm-utils/sleep.d/*

%clean
rm -rf %{buildroot}


%changelog

* Mon Nov 28 2011 fwang <fwang> 2.2.1-2.mga2
+ Revision: 173701
- fix build with latest glib
- rebuild for new boost
- fix perm
- New version 2.2.1
- rebuild for new boost

* Sat Jun 25 2011 fwang <fwang> 2.2-9.mga2
+ Revision: 113497
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Wed Jun 22 2011 fwang <fwang> 2.2-8.mga2
+ Revision: 111937
- rebuild for new boost

* Tue Jun 14 2011 ahmad <ahmad> 2.2-7.mga2
+ Revision: 105991
- Require w3c-libwww for the crash reporter (google-breakpad)

* Wed May 11 2011 ahmad <ahmad> 2.2-6.mga1
+ Revision: 97212
- Add a patch to fix the build after videodev.h has been moved upstream
  to libv4l and add BR libv4l-devel (Debian)
- Add BR libxscrnsaver-devel (for better idle state detection)
- Drop the buildroot declaration
- imported package qutecom

